Home Class/Enum List File List Compound Members

- All
- Functions
- Variables
- Enumerations
- Enumerator

- a
- c
- d
- f
- g
- i
- l
- m
- n
- o
- p
- r
- s
- t
- u
- w
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - a -

- abortStream() : RtAudio
- Api : RtAudio

### - c -

- closeStream() : RtAudio

### - d -

- DEBUG_WARNING : RtError
- deviceId : RtAudio::StreamParameters
- DRIVER_ERROR : RtError
- duplexChannels : RtAudio::DeviceInfo

### - f -

- firstChannel : RtAudio::StreamParameters
- flags : RtAudio::StreamOptions

### - g -

- getCompiledApi() : RtAudio
- getCurrentApi() : RtAudio
- getDefaultInputDevice() : RtAudio
- getDefaultOutputDevice() : RtAudio
- getDeviceCount() : RtAudio
- getDeviceInfo() : RtAudio
- getMessage() : RtError
- getStreamLatency() : RtAudio
- getStreamSampleRate() : RtAudio
- getStreamTime() : RtAudio
- getType() : RtError

### - i -

- inputChannels : RtAudio::DeviceInfo
- INVALID_DEVICE : RtError
- INVALID_PARAMETER : RtError
- INVALID_USE : RtError
- isDefaultInput : RtAudio::DeviceInfo
- isDefaultOutput : RtAudio::DeviceInfo
- isStreamOpen() : RtAudio
- isStreamRunning() : RtAudio

### - l -

- LINUX_ALSA : RtAudio
- LINUX_OSS : RtAudio
- LINUX_PULSE : RtAudio

### - m -

- MACOSX_CORE : RtAudio
- MEMORY_ERROR : RtError

### - n -

- name : RtAudio::DeviceInfo
- nativeFormats : RtAudio::DeviceInfo
- nChannels : RtAudio::StreamParameters
- NO_DEVICES_FOUND : RtError
- numberOfBuffers : RtAudio::StreamOptions

### - o -

- openStream() : RtAudio
- outputChannels : RtAudio::DeviceInfo

### - p -

- printMessage() : RtError
- priority : RtAudio::StreamOptions
- probed : RtAudio::DeviceInfo

### - r -

- RtAudio() : RtAudio
- RTAUDIO_DUMMY : RtAudio
- RtError() : RtError

### - s -

- sampleRates : RtAudio::DeviceInfo
- showWarnings() : RtAudio
- startStream() : RtAudio
- stopStream() : RtAudio
- streamName : RtAudio::StreamOptions
- SYSTEM_ERROR : RtError

### - t -

- THREAD_ERROR : RtError
- Type : RtError

### - u -

- UNIX_JACK : RtAudio
- UNSPECIFIED : RtError , RtAudio

### - w -

- WARNING : RtError
- what() : RtError
- WINDOWS_ASIO : RtAudio
- WINDOWS_DS : RtAudio

### - ~ -

- ~RtAudio() : RtAudio
- ~RtError() : RtError

| ©2001-2012 Gary P. Scavone, McGill University. All Rights Reserved. Maintained by Gary P. Scavone.